//
//  SAViewController.m
//  Test
//
//  Created by Sian on 14/11/6.
//  Copyright (c) 2014年 www.yusian.com All rights reserved.
//

#import "SAViewController.h"

@interface SAViewController ()

@end

@implementation SAViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
    // 1、创建URL字符串，即网址
    NSString *string = @"http://www.yusian.com/test/post.php";
    
    // 2、创建URL，即创建一个需要请求的资源
    NSURL *url = [NSURL URLWithString:string];
    
    // 3、创建一个请求
    NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
    
    // 4、创建POST请求体
    NSString *bodyString = @"user=yusian&pass=123";
    NSData *data = [bodyString dataUsingEncoding:NSUTF8StringEncoding];
    request.HTTPMethod = @"post";
    request.timeoutInterval = 5.0f;
    request.HTTPBody = data;
    
    // 5、同步请求方法
    NSURLResponse *response = nil;
    NSError *error = nil;
    NSData *result = [NSURLConnection sendSynchronousRequest:request returningResponse:&response error:&error];
    
    // 6、输出请求结果
    NSLog(@"%@", [[NSString alloc] initWithData:result encoding:NSUTF8StringEncoding]);
}

@end
